![](https://github.com/ImpressCMS/impresscms/blob/master/htdocs/uploads/imagemanager/logos/img482278e29e81c.png?raw=true)

<p align="center">
<a href="https://github.com/ImpressCMS/impresscms/blob/master/LICENSE"><img src="https://img.shields.io/badge/dynamic/json.svg?label=license&amp;url=https%3A%2F%2Fraw.githubusercontent.com%2FImpressCMS%2Fimpresscms%2Fmaster%2Fcomposer.json&amp;query=license&amp;maxAge=86400" alt="license" /></a> <a href="github.com/ImpressCMS/impresscms/releases/latest"><img src="https://img.shields.io/github/release/ImpressCMS/impresscms.svg?maxAge=86400&amp;logo=github&amp;logoColor=white&amp;label=latest%20release" alt="GitHub release" /></a> <a href="https://github.com/ImpressCMS/impresscms/releases"><img src="https://img.shields.io/packagist/vpre/impresscms/impresscms.svg?label=preview&amp;logo=github" alt="GitHub tag (latest SemVer pre-release)" /></a> <a href="https://codeclimate.com/github/ImpressCMS/impresscms/test_coverage"><img src="https://api.codeclimate.com/v1/badges/b27536db6688e64deef8/test_coverage" alt="Test Coverage" /></a> <a href="https://codeclimate.com/github/ImpressCMS/impresscms/maintainability"><img src="https://api.codeclimate.com/v1/badges/b27536db6688e64deef8/maintainability" alt="Maintainability" /></a> <a href="https://twitter.com/ImpressCMS"><img src="https://img.shields.io/twitter/follow/ImpressCMS.svg?color=%2338A1F3&amp;label=twitter&amp;style=flat&amp;logo=twitter" alt="Twitter Follow" /></a> <a href="https://www.facebook.com/ImpressCMS/"><img src="https://img.shields.io/badge/facebook-%3F%3F%3F-%233C5A99.svg?logo=facebook" alt="FaceBook" /></a> <a href="http://invite.impresscms.org"><img src="http://invite.impresscms.org/badge.svg" alt="Slack" /></a> <a title="Crowdin" target="_self" href="https://impresscms.crowdin.com/impresscms"><img src="https://badges.crowdin.net/e/f7817e813865fde0509c454ad1ee4c11/localized.svg"></a>
</p>

ImpressCMS is a community developed Content Management System. With this tool maintaining the content of a website becomes as easy as writing a word document. ImpressCMS is the ideal tool for a wide range of users: from business to community users, from large enterprises to people who want a simple, easy to use blogging tool.

ImpressCMS has these features:
<details>
	<summary>:package: Modules support</summary>
	<blockquote>Website content is managed by separate content modules/web applications. Simply install the module which has the features you need: a news module, forum module, photo album module, there are many many third party modules to choose from.</blockquote>
</details>
<details>
	<summary>🗃️ Database-driven</summary>
	<blockquote>ImpressCMS uses a database to store the data required for running your ImpressCMS site. MySQL and MariaDB is currently supported. Support for other DBMS's is coming soon.</blockquote>
</details>
<details>
	<summary>:rainbow: Theme-based skinnable interface</summary>
	<blockquote>ImpressCMS is driven by a powerful theme system. Both admins and users can change the look of the entire web site with just a click of a mouse. There are also hundreds of quality themes available for download!</blockquote>
</details>
<details>
	<summary>:busts_in_silhouette: Versatile Group Permissions System</summary>
	<blockquote>Powerful and user-friendly permissions system which enables administrators to set permissions by group for any registered or all anoymous users.</blockquote>
</details>
<details>
	<summary>:globe_with_meridians: Multi-byte Language Support</summary>
	<blockquote>Fully supports multi-byte languages, including Japanese, Simplified and Traditional Chinese, Korean, etc.</blockquote>
</details>

## What can you do with it?

ImpressCMS can be used for many types of web sites. The system is highly scalable and it can be used for example as an intranet for a company with 20,000 employees as well as for building a simple 5-page website for the promotion of your company.
The system is extremely useful for managing online communities because it has the ability to create user groups and assign permissions for managing content to each different group.

For each type of website ImpressCMS offers different functionality with a collection of free modules that are available on [https://www.impresscms.org/modules/downloads/](https://www.impresscms.org/modules/downloads/). A few examples of what you can do with them:

* Publish news of your organization
* Let visitors contact you through a state of the art customizable contact form
* Create and manage articles
* Add a forum to your site
* Sell products through your web site using an online store
* ...and many more


## Installation

To install and use this package, we recommend to use [Composer](https://getcomposer.org):

```bash
composer create-project -s dev impresscms/impresscms
```

More detailed installation instructions are available [on the ImpressCMS site](https://www.impresscms.org/modules/simplywiki/index.php?page=Installing_ImpressCMS_2)

## Do you need any help?

You can find our official documentation at [our wiki](https://www.impresscms.org/modules/simplywiki/).

Also, help could be found on [our official forums](https://www.impresscms.org/modules/iforum/).

## How to contribute?

Open an [issue](https://github.com/ImpressCMS/impresscms/issues/new) or send us a [pull request](https://github.com/ImpressCMS/impresscms/pulls)

All development for 2.0 version happens on the *master* branch, so it is always the most up-to-date.

If you are going to be submitting a pull request, please branch from *master*, and submit your pull request back to same branch.

## License

<a href="https://app.fossa.io/projects/git%2Bgithub.com%2FImpressCMS%2Fimpresscms?ref=badge_large"><img src="https://app.fossa.io/api/projects/git%2Bgithub.com%2FImpressCMS%2Fimpresscms.svg?type=large" alt="FOSSA Status" align="right" /></a>
ImpressCMS is licensed right now in <a href="https://github.com/ImpressCMS/impresscms/blob/master/LICENSE">GPL 2.0 license</a> but is depended on libraries that uses other compatible open source licenses.

Quick summary what GPL 2.0 really means can be found at [TLDRLegal website](https://tldrlegal.com/license/gnu-general-public-license-v2).

We use FOSSA to detect if there are any incompatibilities and if there is any solve them. The graphic on the right is used to iliustrate what licenses are used when project is installed.
