<?php

namespace ImpressCMS\Tests\Libraries\ICMS;

use PHPUnit\Framework\TestCase;

/**
* @backupGlobals disabled
* @backupStaticAttributes disabled
*/

class HandlerTest extends TestCase {

    /**
     * Tests availability
     */
    public function testAvailability() {
        $this->assertTrue(class_exists('icms_core_ObjectHandler', true), "icms_core_Object class doesn't exist");
    }

    /**
     * Checks if all required variables are available
     */
    public function testVariablesAvailability() {
		$mock = $this->getMockBuilder('\\icms_core_ObjectHandler')
			->disableOriginalConstructor()
			->getMockForAbstractClass();
         foreach ([ 'db' ] as $variable) {
             $this->assertTrue(property_exists($mock, $variable), '$' . $variable . ' doesn\'t exists for icms_core_ObjectHandler');
         }
    }

    /**
     * Checks if all required methods are available
     */
    public function testMethodsAvailability() {
		$mock = $this->getMockBuilder('\\icms_core_ObjectHandler')
			->disableOriginalConstructor()
			->getMockForAbstractClass();
         foreach ([ 'create', 'get', 'insert', 'delete' ] as $method) {
             $this->assertTrue(method_exists($mock, $method), $method . ' doesn\'t exists for icms_core_ObjectHandler');
         }
    }

}